Subject: Re: [PATCH 15/18] the beginning of the signed push

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Aug 2014 16:41:16 -0700

Bert Wesarg <[email-masked]> writes:

> On Wed, Aug 20, 2014 at 12:06 AM, Junio C Hamano <[email-masked]> wrote:
>> The basic flow based on this mechanism goes like this:
>>
>>  1. You push out your work with "git push -s".
>>
>>  2. The sending side learns where the remote refs are as usual,
>>     together with what protocol extension the receiving end
>>     supports.  If the receiving end does not advertise the protocol
>>     extension "push-cert", the sending side falls back to the normal
>>     push that is not signed.
>>
>
> Is this fallback silently? If so I think it would be better to abort
> the push, if the receiver does not support this but the user requested
> it.

Let me change it in the reroll.  I however am not quite sure if
warning is insufficient, because there is nothing, other than
rerunning the command without "--signed", that the user could do
when it happens.